<ng-container *ngIf="flowData">
  <div class="flow-container">
    <div class="flow-container-header">
      <eui-icon-svg
        class="eui-u-mr-s"
        set="outline"
        size="m"
        fillColor="grey-100"
        icon="{{ flowData.editFlow ? 'pencil' : 'add-circle' }}"></eui-icon-svg>
      <span class="header-h1" *ngIf="!flowData.editFlow">{{ flowData.flowTitle | translate }}</span>
      <span class="header-h1" *ngIf="flowData.editFlow">{{ flowData.data.user.userName | translate }}</span>
    </div>
    <app-flow-template
      [data]="wizardData"
      [form]="form"
      (stepChanged)="handleStepChanged($event)"
      (wizardActionCalled)="handleWizardActions($event)">
      <div class="wiz-content">
        <ng-template [ngIf]="flowData.activeStep === 0">
          <app-user-edit
            #editUserComponent
            [allCountries]="allCountries"
            [user]="userProfile"
            [form]="form.get('user')"
            (saveUser)="handleSaveUser($event)"></app-user-edit>
        </ng-template>
      </div>
    </app-flow-template>
  </div>

  <eui-dialog #flowDialog [width]="'1036px'" class="{{ displayComponent === 'confirmMessage' ? 'no-padding' : '' }}">
    <eui-dialog-header>
      <div class="popup-header">
        <span class="header-h2 header-h2-bold popup-header-left">{{ dialogName | translate }}</span>
        <eui-icon-svg (click)="handleDialogActions(listActionsEnum.FLOW1_CANCEL_EXIT_PROCESS)" icon="eui-close" set="eui"></eui-icon-svg>
      </div>
    </eui-dialog-header>

    <eui-dialog-footer>
      <div class="popup-footer">
        <div class="popup-footer-buttons">
          <app-list-row-action (btnClicked)="handleDialogActions($event)" [buttons]="dialogLeftButtons"></app-list-row-action>
          <app-list-row-action (btnClicked)="handleDialogActions($event)" [buttons]="dialogButtons"></app-list-row-action>
        </div>
      </div>
    </eui-dialog-footer>

    <div class="popup-content">
      <div *ngIf="displayComponent === 'confirmMessage' && actionType === 'exitProcess'" class="confirm-message">
        <div class="dialog-text-icon dialog-text-icon-danger">
          <eui-icon-svg icon="warning" set="sharp" fillColor="primary-bg" size="xl"></eui-icon-svg>
        </div>
        <div class="dialog-text-group eui-u-flex-justify-content-center" *ngIf="actionType === 'exitProcess'">
          <span class="p dialog-text">
            {{ 'app.flow.1.popup.exitProcessText' | translate }}
          </span>
        </div>
      </div>
    </div>
  </eui-dialog>
</ng-container>
